| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Signals | Public Member Functions | Protected Slots | Protected Attributes | List of all members
Digikam::RatingComboBox Class Reference
Inheritance diagram for Digikam::RatingComboBox:

## Public Types
enum | RatingValue { Null = -2 , NoRating = -1 , Rating0 = 0 , Rating1 = 1 , Rating2 = 2 , Rating3 = 3 , Rating4 = 4 , Rating5 = 5 }
| An advanced widget for entering a rating, including support for Null and NoRating values. More...

## Signals
void | ratingValueChanged (int value)

## Public Member Functions
| RatingComboBox (QWidget *const parent=nullptr)
RatingValue | ratingValue () const
void | setRatingValue (RatingValue value)
Public Member Functions inherited from Digikam::ModelIndexBasedComboBox
| ModelIndexBasedComboBox (QWidget *const parent=nullptr)
| QComboBox has a current index based on a single integer.
QModelIndex | currentIndex () const
void | hidePopup () override
void | setCurrentIndex (const QModelIndex &index)
void | showPopup () override

## Protected Slots
void | currentValueChanged (const QModelIndex &current, const QModelIndex &previous)
void | ratingWidgetChanged (int)

## Protected Attributes
RatingComboBoxModel * | m_model = nullptr
RatingComboBoxWidget * | m_ratingWidget = nullptr
Protected Attributes inherited from Digikam::ModelIndexBasedComboBox
QPersistentModelIndex | m_currentIndex

## Member Enumeration Documentation

## ◆ RatingValue

enum Digikam::RatingComboBox::RatingValue

Enumerator
Null | The rating value. All values except Null correspond to the integers used by the database.